Skip to content

/api/v1/research/props

GET
/api/v1/research/props
curl --request GET \
--url 'https://nbaproplab.com/api/v1/research/props?sort=score&page=1&pageSize=50' \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <X-API-Key>'
date
string
stat
string
team
string
minL10OverHits
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
direction
string
minScore
number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
rating
string
sort
string
default: score
page
integer | string format: int32
default: 1 /^-?(?:0|[1-9]\d*)$/
pageSize
integer | string format: int32
default: 50 /^-?(?:0|[1-9]\d*)$/

OK

object
date
required
string format: date
total
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
page
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
pageSize
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
dataDelayMinutes
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
rows
required
Array<object>
object
playerId
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
playerName
required
string
teamAbbreviation
required
null | string
opponentAbbreviation
required
null | string
propType
required
string
statDisplayName
required
string
consensusLine
required
number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?$/
bestOver
required
One of:
null
bestUnder
required
One of:
null
bookCount
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
l5Hits
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
l5Games
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
l10Hits
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
l10Games
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
l15Hits
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
l15Games
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
modelPick
required
One of:
null

Authentication required.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Insufficient permissions or tier.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}